package com.ruoyi.mxjb.service;

import java.util.List;
import com.ruoyi.mxjb.domain.MxjbPaperTest;

/**
 * AI组卷记录Service接口
 * 
 * @author mingxue
 * @date 2021-12-25
 */
public interface IMxjbPaperTestService
{
    /**
     * 查询AI组卷记录
     * 
     * @param paperId AI组卷记录ID
     * @return AI组卷记录
     */
    public MxjbPaperTest selectMxjbPaperTestById(Long paperId);

    /**
     * 查询AI组卷记录列表
     * 
     * @param MxjbPaperTest AI组卷记录
     * @return AI组卷记录集合
     */
    public List<MxjbPaperTest> selectMxjbPaperTestList(MxjbPaperTest MxjbPaperTest);

    /**
     * 新增AI组卷记录
     * 
     * @param MxjbPaperTest AI组卷记录
     * @return 结果
     */
    public int insertMxjbPaperTest(MxjbPaperTest MxjbPaperTest);

    /**
     * 修改AI组卷记录
     * 
     * @param MxjbPaperTest AI组卷记录
     * @return 结果
     */
    public int updateMxjbPaperTest(MxjbPaperTest MxjbPaperTest);

    /**
     * 批量删除AI组卷记录
     * 
     * @param paperIds 需要删除的AI组卷记录ID
     * @return 结果
     */
    public int deleteMxjbPaperTestByIds(Long[] paperIds);

    /**
     * 删除AI组卷记录信息
     * 
     * @param paperId AI组卷记录ID
     * @return 结果
     */
    public int deleteMxjbPaperTestById(Long paperId);
}
